### Hierarchy

- GraphicsGradientFill

### Implements

- IGraphicsData
- IGraphicsFill

## Index

### Constructors

- constructor

### Properties

- alphas
- colors
- focalPointRatio
- interpolationMethod
- matrix
- ratios
- spreadMethod
- type

## Constructors

### constructor

- new GraphicsGradientFill(type?: GradientType, colors?: Array<number>, alphas?: Array<number>, ratios?: Array<number>, matrix?: Matrix, spreadMethod?: SpreadMethod, interpolationMethod?: InterpolationMethod, focalPointRatio?: number): GraphicsGradientFill

- - Defined in lib/openfl/display/GraphicsGradientFill.d.ts:22

  #### Parameters

  - ##### Optional type: GradientType

  - ##### Optional colors: Array<number>

  - ##### Optional alphas: Array<number>

  - ##### Optional ratios: Array<number>

  - ##### Optional matrix: Matrix

  - ##### Optional spreadMethod: SpreadMethod

  - ##### Optional interpolationMethod: InterpolationMethod

  - ##### Optional focalPointRatio: number

  #### Returns GraphicsGradientFill

## Properties

### alphas

alphas: Array<number>

- Defined in lib/openfl/display/GraphicsGradientFill.d.ts:15

### colors

colors: Array<number>

- Defined in lib/openfl/display/GraphicsGradientFill.d.ts:16

### focalPointRatio

focalPointRatio: number

- Defined in lib/openfl/display/GraphicsGradientFill.d.ts:17

### interpolationMethod

interpolationMethod: InterpolationMethod

- Defined in lib/openfl/display/GraphicsGradientFill.d.ts:18

### matrix

matrix: Matrix

- Defined in lib/openfl/display/GraphicsGradientFill.d.ts:19

### ratios

ratios: Array<number>

- Defined in lib/openfl/display/GraphicsGradientFill.d.ts:20

### spreadMethod

spreadMethod: SpreadMethod

- Defined in lib/openfl/display/GraphicsGradientFill.d.ts:21

### type

type: GradientType

- Defined in lib/openfl/display/GraphicsGradientFill.d.ts:22

Generated using TypeDoc